Subject: [nemo] Comments on draft-charbon-nemo-multihoming-evaluation

From: Vijay Devarapalli <[email-masked]>
Date: Fri, 11 Jul 2003 14:27:08 -0700

a very good and useful draft. thanks. 

I have some comments on the draft.

fault tolerance and policy as two categories makes a lot of
sense. I am not sure about the load sharing support. what
exactly do you gain by sharing load between the two egress
interfaces (assuming the MR has two egress interfaces)? do
you have a concrete example for this? you would always want 
use the high bandwidth link, right?

I strongly disagree with statements like

>       In this case the MR and the HA MUST use the two bi-directional
>       tunnels simultaneously.  

>          Thus the NEMO solution MUST manage network traffic
>          simultaneously through the several connection of a same MR.

it might be an attractive feature to have. but it is not
a MUST feature to have, IMO. especially when I dont see the 
need for it.

section 2.2

> 
>             A MR is multi-homed when it has simultaneously more than one
>             active connection to the Internet, [...]

and 

>             R12: The solution MUST function for multi-homed MR and
>             multi-homed mobile networks as defined in [NEMO-TERMS]).
>             Particularly:
> 
>                R12.1: The solution MUST function for multi-MR mobile
>                networks

does not lead you to

> 
>          Thus the NEMO solution MUST manage network traffic
>          simultaneously through the several connection of a same MR.

I dont know how you arrived at the above statement.

in case (0,1,0)

its a mess if the Home Agents belong to different 
administrative domains. I looked at the reference [11].
towards the end of section 5.1.2 in reference [11], I
see some text which says this kind of multi-homining
is rare. I think you should also say that this is rare
and is out of scope for NEMO. frankly, I think it is 
not worth solving.

in case (1,0,1) and case (1,1,1)

what if both prefixes are advertised by both Mobile 
Routers? is there any difference?

for both these cases, you have assumed that each Mobile
Router will advertise a different prefix (which is good
makes things simpler). but is this a valid assumption?

> 10. Conclusions
> 
>    In this draft, we explore the level of Multi-homing support available
>    in the NEMO Basic proposed solution with respect to Multi-homing
>    requirements, the main goal being:
> 
>    "Do not prevent Multi-homing configurations/benefits by the using of
>    NEMO Basic Support."
> 
>    and this goal is mainly respected.  

good to know that.

> However, based on our analysis,
>    we propose some improvements.

arent these improvements best handled by separate 
specifications?

> 
>    o Preference & Priority:
> 
>       Theses two informations permit to manage the sharing/the policy of
>       the Inbound traffic to the Mobile Network through several CoAs
>       and/or several HAs.
> 
>       Theses information could be added to the Prefix-BU, and the
>       proposed solution specify a field/an sub-option to permit some
>       implementation to provide this benefit; or specify in the next
>       release of NEMO protocol.
> 
>    o Multiple CoAs for the same MNP:
> 
>       The proposed solution doesn't have to specify anything one this
>       subject, just to support it.  But a paragraph on this purpose can
>       be helpful for implementation's developers.

can you suggest some text? it is not clear to me what you are
looking for. doesnt draft-wakikawa-mobileip-mutliplecoa-01.txt
provide a solution for this?

Vijay